aclocal.m4: allow more GNU/Hurd tuples

Authored by trofi on Mar 17 2018, 7:12 AM.

Description

aclocal.m4: allow more GNU/Hurd tuples

Running plain ./configure fails on hurd because
./config.guess reports unrecognised tuple:

$ ./config.guess
i686-unknown-gnu0.9

The change makes the following target configure:
$ ./configure --target=i686-unknown-gnu0.9

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>